# Uses of Class
org.eclipse.swt.events.MouseEvent

Packages that use MouseEvent
Package
Description
org.eclipse.help.ui.internal
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.codemining
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.inlined
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of MouseEvent in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
HyperlinkHandler.`mouseDoubleClick(MouseEvent e)`
`void`
HyperlinkHandler.`mouseDown(MouseEvent e)`
`void`
HyperlinkHandler.`mouseEnter(MouseEvent e)`
`void`
HyperlinkHandler.`mouseExit(MouseEvent e)`
`void`
HyperlinkHandler.`mouseHover(MouseEvent e)`
`void`
HyperlinkHandler.`mouseUp(MouseEvent e)`

## Uses of MouseEvent in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return MouseEvent
Modifier and Type
Method
Description
`protected MouseEvent`
AbstractHoverInformationControlManager.`getHoverEvent()`
Returns the most recent mouse hover event.
Methods in org.eclipse.jface.text with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
PaintManager.`mouseDoubleClick(MouseEvent e)`
`void`
PaintManager.`mouseDown(MouseEvent e)`
`void`
PaintManager.`mouseUp(MouseEvent e)`

## Uses of MouseEvent in org.eclipse.jface.text.codemining

Methods in org.eclipse.jface.text.codemining that return types with arguments of type MouseEvent
Modifier and Type
Method
Description
`Consumer<MouseEvent>`
AbstractCodeMining.`getAction()`
`Consumer<MouseEvent>`
ICodeMining.`getAction()`
Returns the action to execute when mining is clicked and null otherwise.
Constructor parameters in org.eclipse.jface.text.codemining with type arguments of type MouseEvent
Modifier
Constructor
Description
`protected`
`AbstractCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineHeaderCodeMining(int beforeLineNumber, IDocument document, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining before the given line number.
``
`LineHeaderCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining before the given line at the supplied position.

## Uses of MouseEvent in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
HyperlinkManager.`mouseDoubleClick(MouseEvent e)`
`void`
HyperlinkManager.`mouseDown(MouseEvent event)`
`void`
HyperlinkManager.`mouseEnter(MouseEvent e)`
Sent when the mouse pointer passes into the area of the screen covered by a control.
`void`
HyperlinkManager.`mouseExit(MouseEvent e)`
Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void`
HyperlinkManager.`mouseHover(MouseEvent e)`
Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.
`void`
HyperlinkManager.`mouseMove(MouseEvent event)`
`void`
HyperlinkManager.`mouseUp(MouseEvent e)`

## Uses of MouseEvent in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
AnnotationBarHoverManager.Closer.`mouseDoubleClick(MouseEvent event)`
Deprecated.
`void`
AnnotationBarHoverManager.Closer.`mouseDown(MouseEvent event)`
Deprecated.
`void`
AnnotationBarHoverManager.Closer.`mouseExit(MouseEvent event)`
Deprecated.
`void`
AnnotationBarHoverManager.Closer.`mouseMove(MouseEvent event)`
Deprecated.
`void`
AnnotationBarHoverManager.Closer.`mouseUp(MouseEvent event)`
Deprecated.

## Uses of MouseEvent in org.eclipse.jface.text.source.inlined

Methods in org.eclipse.jface.text.source.inlined that return types with arguments of type MouseEvent
Modifier and Type
Method
Description
`Consumer<MouseEvent>`
AbstractInlinedAnnotation.`getAction(MouseEvent e)`
Methods in org.eclipse.jface.text.source.inlined with parameters of type MouseEvent
Modifier and Type
Method
Description
`Consumer<MouseEvent>`
AbstractInlinedAnnotation.`getAction(MouseEvent e)`
`void`
AbstractInlinedAnnotation.`onMouseHover(MouseEvent e)`
Called when mouse over the inlined annotation.
`void`
AbstractInlinedAnnotation.`onMouseOut(MouseEvent e)`
Called when mouse out the inlined annotation.

## Uses of MouseEvent in org.eclipse.jface.viewers

Constructors in org.eclipse.jface.viewers with parameters of type MouseEvent
Modifier
Constructor
Description
``
`ColumnViewerEditorActivationEvent(ViewerCell cell, MouseEvent event)`
This constructor is used for all types of mouse events.

## Uses of MouseEvent in org.eclipse.swt.events

Subclasses of MouseEvent in org.eclipse.swt.events
Modifier and Type
Class
Description
`final class`
`DragDetectEvent`
Instances of this class are sent as a result of a drag gesture.
Methods in org.eclipse.swt.events with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
MouseAdapter.`mouseDoubleClick(MouseEvent e)`
Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`void`
MouseListener.`mouseDoubleClick(MouseEvent e)`
Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`void`
MouseAdapter.`mouseDown(MouseEvent e)`
Sent when a mouse button is pressed.
`void`
MouseListener.`mouseDown(MouseEvent e)`
Sent when a mouse button is pressed.
`void`
MouseTrackAdapter.`mouseEnter(MouseEvent e)`
Sent when the mouse pointer passes into the area of the screen covered by a control.
`void`
MouseTrackListener.`mouseEnter(MouseEvent e)`
Sent when the mouse pointer passes into the area of the screen covered by a control.
`void`
MouseTrackAdapter.`mouseExit(MouseEvent e)`
Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void`
MouseTrackListener.`mouseExit(MouseEvent e)`
Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void`
MouseTrackAdapter.`mouseHover(MouseEvent e)`
Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.
`void`
MouseTrackListener.`mouseHover(MouseEvent e)`
Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.
`void`
MouseMoveListener.`mouseMove(MouseEvent e)`
Sent when the mouse moves.
`void`
MouseWheelListener.`mouseScrolled(MouseEvent e)`
Sent when the mouse wheel is scrolled.
`void`
MouseAdapter.`mouseUp(MouseEvent e)`
Sent when a mouse button is released.
`void`
MouseListener.`mouseUp(MouseEvent e)`
Sent when a mouse button is released.
Method parameters in org.eclipse.swt.events with type arguments of type MouseEvent
Modifier and Type
Method
Description
`static MouseListener`
MouseListener.`mouseDoubleClickAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `MouseListener.mouseDoubleClick(MouseEvent e)`) method with a lambda expression.
`static MouseListener`
MouseListener.`mouseDownAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `MouseListener.mouseDown(MouseEvent e)`) method with a lambda expression.
`static MouseTrackListener`
MouseTrackListener.`mouseEnterAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `MouseTrackListener.mouseEnter(MouseEvent e)`) method, given a lambda expression or a method reference.
`static MouseTrackListener`
MouseTrackListener.`mouseExitAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `MouseTrackListener.mouseExit(MouseEvent e)`) method, given a lambda expression or a method reference.
`static MouseTrackListener`
MouseTrackListener.`mouseHoverAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `MouseTrackListener.mouseHover(MouseEvent e)`) method, given a lambda expression or a method reference.
`static MouseListener`
MouseListener.`mouseUpAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `MouseListener.mouseUp(MouseEvent e)`) method with a lambda expression.

## Uses of MouseEvent in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type MouseEvent
Modifier and Type
Method
Description
`boolean`
Control.`dragDetect(MouseEvent event)`
Detects a drag and drop gesture.

## Uses of MouseEvent in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
TextConsoleViewer.`mouseDoubleClick(MouseEvent e)`
`void`
TextConsoleViewer.`mouseDown(MouseEvent e)`
`void`
TextConsoleViewer.`mouseEnter(MouseEvent e)`
`void`
TextConsoleViewer.`mouseExit(MouseEvent e)`
`void`
TextConsoleViewer.`mouseHover(MouseEvent e)`
`void`
TextConsoleViewer.`mouseMove(MouseEvent e)`
`void`
TextConsoleViewer.`mouseUp(MouseEvent e)`

## Uses of MouseEvent in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type MouseEvent
Modifier and Type
Method
Description
`void`
AbstractRulerActionDelegate.`mouseDoubleClick(MouseEvent e)`
`void`
AbstractRulerActionDelegate.`mouseDown(MouseEvent e)`
`void`
AbstractRulerActionDelegate.`mouseUp(MouseEvent e)`